Article ID: 9292, created on Nov 11, 2010, last review on Aug 12, 2014

  • Applies to:
  • Plesk 10.x for Windows


Parallels Plesk Panel fails to be upgraded to version 10 with the error:
Internal Error 2715: footer_bg.gif
File name can be differ.

Such error occurs if some files from the default skeleton or default web page were removed.

The following records can be found in autoinstaller3.log
MSI: Action 10:26:06: CreateUsers. Creating users...
MSI: Action 10:26:10: ProcessComponents. Updating component registration...
MSI: Error! Internal Error 2715. footer_bg.gif
Unexpected error
Error: Some action sequence of package 'plesk' has been failed with code -1
Not all packages were installed.
Please, contact product technical support.


Before upgrade place the original skeleton and default website content on your server. Default content can be found at the attachment.

Use the instruction for uploading default page structure:
1. Before upgrade backup 2 folders:

2. Download archive from the attachment. It contains 2 directories '.skel' and 'htdocs' with the default files.
Replace the content of the directories %plesk_vhosts%\.skel\ and %plesk_vhosts%\default\htdocs\ with the content from the attachment.

3. Perform Plesk upgrade.

4. Copy back your custom skeleton and default web page directories.


c796c01d6951fa24ed54c7f1111667c6 a914db3fdc7a53ddcfd1b2db8f5a1b9c 85a92ca67f2200d36506862eaa6ed6b8 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF